This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 754126 - (CVE-2011-4312) CVE-2011-4312 ReviewBoard: XSS in the commenting system (diff viewer and screenshot pages)
CVE-2011-4312 ReviewBoard: XSS in the commenting system (diff viewer and scre...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111115,repor...
: Security
Depends On: 754130
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-15 08:42 EST by Jan Lieskovsky
Modified: 2016-03-04 07:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-11-15 08:42:46 EST
A cross-site scripting (XSS) flaw was found in the way the commenting system of the ReviewBoard, a web-based code review tool, sanitized user input (new comments to be loaded). A remote attacker could provide a specially-crafted URL, which once visited by valid ReviewBoard user could lead to arbitrary HTML or web script execution in the 'diff viewer' or 'screenshot pages' components.

References:
[1] http://www.reviewboard.org/news/
[2] http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.6.3/

Relevant upstream patch:
[3] https://github.com/reviewboard/reviewboard/commit/7a0a9d94555502278534dedcf2d75e9fccce8c3d
Comment 1 Jan Lieskovsky 2011-11-15 08:45:58 EST
This issue has been scheduled to be corrected by the following ReviewBoard package updates:
1) ReviewBoard-1.5.7-1.fc15 for Fedora 15 version,
2) ReviewBoard-1.5.7-1.el6 for Fedora EPEL 6 version,
3) ReviewBoard-1.5.7-1.el5 for Fedora EPEL 5 version.

This issue affects the version of the ReviewBoard package, as shipped with Fedora release of 16. Please schedule an update.
Comment 2 Jan Lieskovsky 2011-11-15 08:47:10 EST
Created ReviewBoard tracking bugs for this issue

Affects: fedora-all [bug 754130]
Comment 3 Jan Lieskovsky 2011-11-15 08:53:00 EST
CVE request:
[4] http://www.openwall.com/lists/oss-security/2011/11/15/8
Comment 4 Jan Lieskovsky 2011-11-15 12:38:58 EST
The CVE identifier of CVE-2011-4312 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2011/11/15/9

Note You need to log in before you can comment on or make changes to this bug.